Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1013581 - broken package dependencies for RHEL4
Summary: broken package dependencies for RHEL4
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2013-09-30 11:34 UTC by Martin Korbel
Modified: 2018-04-09 10:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 10:52:53 UTC


Attachments (Terms of Use)

Description Martin Korbel 2013-09-30 11:34:27 UTC
Description of problem:
The kickstart doesn't update  up2date package, because there are broken dependencies.
The consequence is problem with connection to satellite after installation (this bug bz404871 is fixed in version up2date-4.6.2-7.el4_6.1-x86_64)

Version-Release number of selected component (if applicable):
Satellite-5.6.0-RHEL5-re20130926.0-x86_64
RHEL-AS-4 (up2date-4.6.2-7.el4-x86_64, rhnlib-2.1.1-3.el4, libxml2-2.6.16-10)

How reproducible:
100%

Steps to Reproduce:
1. create kickstart profile for RHEL AS 4 (ks-rhel-x86_64-as-4-u6). 
2. provision or re-provision client machine with this kickstart
3. after install & restart, check /root/ks-rhn-post.log

Actual results:
cat /root/ks-rhn-post.log
...
warning: /tmp/rhn_rpms/optional/pyOpenSSL-0.6-1.p23.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
warning: package libxml2-python = 2.6.16-12.9 was already added, replacing with libxml2-python <= 2.6.16-12.9
error: Failed dependencies:
	libz.so.1 is needed by libxml2-2.6.16-12.9.i386
warning: /tmp/rhn_rpms/up2date-4.9.1-30.el4.x86_64.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
	rhnlib >= 2.1.4 is needed by up2date-4.9.1-30.el4.x86_64
cp: cannot stat `/tmp/ks-tree-copy/*': No such file or directory
--09:27:48--  http://dhcp131-191.brq.redhat.com/pub/RHN-ORG-TRUSTED-SSL-CERT
           => `/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT'
Resolving dhcp131-191.brq.redhat.com... 10.34.131.191
Connecting to dhcp131-191.brq.redhat.com|10.34.131.191|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5,242 (5.1K) [text/plain]

    0K .....                                                 100%  249.96 MB/s

09:27:48 (249.96 MB/s) - `/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT' saved [5242/5242]

Can't do inplace edit: /etc/sysconfig/rhn/allowed-actions is not a regular file.
Can't do inplace edit: /etc/sysconfig/rhn/clientCaps.d is not a regular file.
ERROR: can not find RHNS CA file:: 
Reading DMI info failed
ERROR: can not find RHNS CA file:: 


Expected results:
without errors.


Additional info:

Comment 2 Tomas Lestach 2015-11-16 16:07:50 UTC
Resetting to default owner.


Note You need to log in before you can comment on or make changes to this bug.